{
  "name": "express-api",
  "version": "1.0.0",
  "description": "Starter project for an ES6 RESTful Express API",
  "main": "dist",
  "scripts": {
    "dev": "nodemon -w src --exec \"babel-node src --presets es2015,stage-0\"",
    "build": "babel src -s -D -d dist --presets es2015,stage-0",
    "start": "node dist",
    "prestart": "npm run -s build",
    "test": "eslint src"
  },
  "eslintConfig": {
    "extends": [
      "eslint:recommended",
      "plugin:security/recommended"
    ],
    "plugins": [
      "security"
    ],
    "parserOptions": {
      "ecmaVersion": 8,
      "sourceType": "module",
      "ecmaFeatures": {
        "experimentalObjectRestSpread": true
      }
    },
    "env": {
      "node": true,
      "es6": true,
      "browser": true
    },
    "rules": {
      "arrow-parens": [
        "error",
        "always"
      ],
      "arrow-body-style": [
        2,
        "as-needed"
      ],
      "comma-dangle": [
        2,
        "always-multiline"
      ],
      "no-console": 1,
      "no-unused-vars": 1,
      "no-var": [
        "off"
      ],
      "one-var": [
        "off"
      ],
      "prefer-template": 2,
      "prefer-destructuring": [
        "error",
        {
          "array": true,
          "object": true
        },
        {
          "enforceForRenamedProperties": false
        }
      ]
    }
  },
  "author": "Pedro Medina",
  "license": "MIT",
  "dependencies": {
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.13.3",
    "compression": "^1.5.2",
    "cors": "^2.7.1",
    "ejs": "^2.6.1",
    "express": "^4.17.1",
    "express-rate-limit": "^3.3.0",
    "force": "0.0.3",
    "forever": "^3.0.4",
    "helmet": "^3.14.0",
    "jsonschema": "^1.2.4",
    "jsonwebtoken": "^8.5.1",
    "lodash": "^4.17.15",
    "morgan": "^1.8.0",
    "mysql2": "^1.6.5",
    "nodemon": "^1.19.4",
    "pg": "^8.5.1",
    "sequelize": "^5.21.3",
    "tedious": "^5.0.3",
    "validator": "^10.8.0"
  },
  "devDependencies": {
    "@babel/core": "^7.12.10",
    "babel-cli": "^6.9.0",
    "babel-core": "^6.9.0",
    "babel-preset-es2015": "^6.9.0",
    "babel-preset-stage-0": "^6.5.0",
    "eslint": "^3.19.0",
    "eslint-plugin-security": "^1.4.0"
  }
}
